For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • Voices
    • Overview
    • List Voices
    • Get Voice
    • Delete Voice
  • Recordings
    • Overview
    • List Recordings
    • Get Recording
    • Create Recording
    • Update Recording
    • Delete Recording
  • Projects & Clips
  • Voice Settings
    • Overview
    • List Presets
    • Get Preset
    • Create Preset
    • Update Preset
    • Delete Preset
  • Custom Pronunciations
    • Overview
    • Create Pronunciation
    • Bulk Create from ZIP
    • List Pronunciations
    • Get Pronunciation
    • Toggle Active Status
    • Delete Pronunciation
  • Account & Billing
    • Overview
    • Get Account
    • Teams
    • Billing Usage
Status
LogoLogo
Recordings

List Recordings

Was this page helpful?
Previous

Get Recording

Next
Built with

GET https://app.resemble.ai/api/v2/voices/{voice_uuid}/recordings

Retrieve a paginated list of recordings for a voice.

ParameterTypeRequiredNotes
voice_uuidstring✅Voice UUID (URL parameter).
pageinteger❌Page number for pagination (query parameter).
page_sizeinteger❌Number of items per page (query parameter).
$curl 'https://app.resemble.ai/api/v2/voices/VOICE_UUID/recordings?page=1&page_size=10' \
> -H 'Authorization: Bearer YOUR_API_TOKEN'
1{
2 "success": true,
3 "page": 1,
4 "total_results": 10,
5 "page_count": 1,
6 "items": [
7 {
8 "uuid": "RECORDING_UUID",
9 "name": "line_01",
10 "text": "Welcome back to Resemble!",
11 "emotion": "neutral",
12 "fill": false,
13 "is_active": true,
14 "audio_src": "https://...",
15 "metrics": {
16 "signal_to_noise_ratio": 28.4,
17 "loudness_grade": "A",
18 "resemble_sample_score": 0.92
19 },
20 "created_at": "2024-01-15T10:30:00Z",
21 "updated_at": "2024-01-15T10:30:00Z"
22 }
23 ]
24}